# this is a COMment marker, used to add comment in jpeg Files...
class Zoy::Jpeg::COMMarker < Zoy::Jpeg::JPEGMarker
		def initialize(blah)
		super
		@can_be_parsed = true
		@comment = nil
		end
		# get the COM Marker back from the stream
		def load(stream)
		@comment = stream[4, stream.size-4]
		end
		def comment?
			true
		end
		def to_s
			@comment
		end
end


